scala.reflect.api.Annotations

# NestedArgument

#### abstract type NestedArgument >: Null <: Universe.NestedArgumentApi with Universe.JavaArgument

A nested annotation argument to a Java annotation as `@Nested` in `@Outer(@Nested)`.

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) Use `Annotation.tree` to inspect annotation arguments

Source
  Annotations.scala

Linear Supertypes
Universe.<refinement>, Universe.JavaArgumentApi, Universe.NestedArgumentApi, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NestedArgument
2. <refinement>
3. JavaArgumentApi
4. NestedArgumentApi
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def annotation: Universe.Annotation

   The underlying nested annotation.

   The underlying nested annotation.

   Definition Classes
     NestedArgumentApi
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use `Annotation.tree` to inspect annotation arguments

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Universe.<refinement>

### Inherited from Universe.JavaArgumentApi

### Inherited from Universe.NestedArgumentApi

### Inherited from AnyRef

### Inherited from Any

### Ungrouped